<?php
	function liste_donnees($tab) {
		if (count($tab) > 0) {
			echo '<ul>';
			foreach ($tab as $clef => $val) {
				echo '<li><strong>' . htmlspecialchars($clef) . '</strong> :';
				if (is_array($val)) {
					echo '<ul>';
					foreach($val as $v) {
						echo '<li>' . htmlspecialchars($v) . '</li>';
					}
					echo '</ul>';
				} else {
					echo ' ' . htmlspecialchars($val);
				}
				echo '</li>' . "\n";
			}
			echo '</ul>' . "\n";
		} else {
			echo '<p>Rien.</p>';
		}
	}
?>
<!DOCTYPE html>
<html lang="fr">
<head>
	<meta charset="UTF-8">
	<title>Page de récupération</title>
	<style>
		pre {
			margin: 1em 3em; padding: 0 2em; background-color: ivory;
			border: 1px inset black; font-weight: bold;
		}
	</style>
</head>
<body>
<h2>Le formulaire a bien été soumis !</h2>
<p>Voilà les données qui ont été envoyées :</p>
	<?php liste_donnees($_POST); ?>
</body>
</html>
